
## These are all pairs found to be at least vaguely significant (fdr < .25)
## in either the HIV or SIV spheres Pairs covariance analysis.
posOfInterest <- c(12, 19, 30, 198, 421, 530, 772, 896)
N.pos <- length(posOfInterest)
sig.pairs <- cbind(rep(posOfInterest, each=N.pos),  rep(posOfInterest, times=N.pos))

## Trick:
## -----
##   To simplify the creation of the matrix for the argument "usePairs",
##   it's okay to specify duplicate pairs, and even pairs consisting of only a 
##   single position (e.g. (13,13)), the program will exclude invalid pairs 
##   and will unduplicate for you. I've used this trick above in my creation of 
##  'sig.pairs'.  I created a matrix of all possible pairs of the values found
##   in 'posOfInterest'.  This is a definite time saver!


## source code for covariation Pairs functions
source("/.../.../covTriples.R")

acute <- covTriples(Acute, Niter=1000000, usePairs=sig.pairs)

## save to 'RData' file - can be loaded into R later with function load()
## Takes a long time to run these, so best to save them in case you forget
## to extract some needed info from the output object
save(acute, file="acuteCovTriples_1M.RData")

##
## load using "load("acuteCovTriples_1M.RData")

##
##
## 


q(save="no")

